import 'dart:async';

import 'package:http/http.dart';

class Interceptor {
  FutureOr<Response> onResponse(Response response) => response;
  FutureOr<Request> onRequest(Request request) => request;
}

class HeadersInterceptor extends Interceptor {
  final Map<String, String> headers;

  HeadersInterceptor(this.headers);

  @override
  Request onRequest(Request request) {
    request.headers.addAll(headers);
    return request;
  }
}
